
%global meadversion 1.0.7
%global namedversion 1.0.7.Final-redhat-2
%global meadalpha .Final_redhat_2
%global meadrel .1
%global serial 2
%global namedversionrel redhat-2

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}jboss-genericjms}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.0.7.Final-redhat-2

Name:           %{?scl_prefix}jboss-genericjms
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JBoss Generic JMS
Group:          Development/Java

%if %with mead
Source100: generic-jms-ra-pom-1.0.7.Final-redhat-2-scm-sources.zip
Source102: generic-jms-ra-1.0.7.Final-redhat-2.pom
Source103: generic-jms-ra-1.0.7.Final-redhat-2.rar
Source104: generic-jms-ra-pom-1.0.7.Final-redhat-2-project-sources.tar.gz
Source105: generic-jms-ra-pom-1.0.7.Final-redhat-2.pom
Source106: generic-jms-ra-jar-1.0.7.Final-redhat-2.jar
Source107: generic-jms-ra-jar-1.0.7.Final-redhat-2-javadoc.jar
Source108: generic-jms-ra-jar-1.0.7.Final-redhat-2-sources.jar
Source109: generic-jms-ra-jar-1.0.7.Final-redhat-2.pom
%endif

License:        LGPLv2.1+
URL:            https://github.com/jms-ra/generic-jms-ra
Provides:       %{?scl_prefix}generic-jms-ra-jar = %{epoch}:%{version}-%{release}
Provides:       %{?scl_prefix}generic-jms-ra = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-genericjms
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n generic-jms-ra -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/generic-jms-ra-jar-%{namedversion}.jar %{buildroot}%{_javadir}/generic-jms-ra-jar-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/generic-jms-ra-jar-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/generic-jms-ra-jar-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/generic-jms-ra-jar-%{namedversion}-sources.jar %{buildroot}%{_javadir}/generic-jms-ra-jar-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/generic-jms-ra-%{namedversion}.rar %{buildroot}%{_javadir}/generic-jms-ra-%{namedversion}.rar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-genericjms-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jboss-genericjms-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-genericjms-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-genericjms-%{namedversion} %{buildroot}%{_javadocdir}/jboss-genericjms
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc copyright.txt LICENSE.txt README.md
%{_javadir}/generic-jms-ra-jar-%{namedversion}.jar
%{_javadir}/generic-jms-ra-jar.jar
%if %with javadoc
%{_javadir}/generic-jms-ra-jar-%{namedversion}-javadoc.jar
%{_javadir}/generic-jms-ra-jar-javadoc.jar
%endif
%{_javadir}/generic-jms-ra-jar-%{namedversion}-sources.jar
%{_javadir}/generic-jms-ra-jar-sources.jar
%{_javadir}/generic-jms-ra-%{namedversion}.rar
%{_javadir}/generic-jms-ra.rar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-genericjms-%{namedversion}
%{_javadocdir}/jboss-genericjms
%endif

%changelog
* Fri Jun 12 2015 David Walluck <dwalluck@redhat.com> - 1.0.7-2.Final_redhat_2.1
- fix RPM Provides and install

* Fri Jun 12 2015 David Walluck <dwalluck@redhat.com> - 1.0.7-2.Final_redhat_2.1
- release

